Overview | Package | Class | Tree | Deprecated | Index | Help
| ContactCenters V. 0.9.9.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

## umontreal.iro.lecuyer.contactcenters.msk.stat
Enum MeasureType

    java.lang.Object
      java.lang.Enum<MeasureType>
          umontreal.iro.lecuyer.contactcenters.msk.stat.MeasureType

All Implemented Interfaces:
  Serializable, Comparable<MeasureType>

    public enum MeasureType

extends Enum<MeasureType>

Defines the types of matrices of measures, or raw statistics, supported by the call center simulator. During simulation, matrices of counters are updated in order to get matrices of observations which are added to statistical probes. Each matrix of counters regroups counts for a certain type of measure, e.g., the number of served calls, the sum of waiting times, the total time spent by busy agents, etc. Each row of such a matrix concerns a call type, agent group or (call type, agent group) pair, while each column concerns a period. If a single period is simulated, all matrices contain a single column.

There are two types of matrices of counters: a regular type for most statistics, and a special type for statistics based on an acceptable waiting time. Regular matrices have P + 2 columns, e.g., one column per period, and a certain number of R of rows. When such a matrix of counters is updated, only one element is changed; this ensures that the matrix update does not take too much time. When the matrix is transformed into a matrix of observations, only results for the P main periods are retained, and aggregates are computed for segments regrouping main periods. Aggregates are also computed for rows, which results in the matrix of observations having extra rows.

Matrices of counters using acceptable waiting times are different, because rows and columns cannot be aggregated to make matrices of observations. Aggregation cannot be done, because each counter may be updated with a different acceptable waiting time in general.

This type can be determined for any enum constant by getting its associated row type, using `getRowType` `(false)`. The matrix type is AWT-based only if its associated row type is `RowType.INBOUNDTYPEAWT`.

The operator used for aggregation is often the sum, but this can also be the maximum for some types of measures. This operator can be obtained using the `getAggregationFunction()`.

Enum Constant Summary
`MAXBUSYAGENTS`
`MAXQUEUESIZE`
`MAXWAITINGTIMEABANDONED`
`MAXWAITINGTIMESERVED`
`NUMABANDONED`
`NUMABANDONEDAFTERAWT`
`NUMABANDONEDBEFOREAWT`
`NUMARRIVALS`
`NUMBLOCKED`
`NUMBUSYAGENTS`
`NUMDELAYED`
`NUMSCHEDULEDAGENTS`
`NUMSERVED`
`NUMSERVEDAFTERAWT`
`NUMSERVEDBEFOREAWT`
`NUMTRIEDDIAL`
`NUMWORKINGAGENTS`
`NUMWRONGPARTYCONNECTS`
`QUEUESIZE`
`SUMEXCESSTIMESABANDONED`
`SUMEXCESSTIMESSERVED`
`SUMSERVED`
`SUMSERVICETIMES`
`SUMWAITINGTIMESABANDONED`
`SUMWAITINGTIMESSERVED`
`SUMWAITINGTIMESVQABANDONED`
`SUMWAITINGTIMESVQSERVED`

Method Summary
`DoubleDoubleFunction` | `getAggregationFunction()` Returns the functions which is applied in order to aggregate two values of counters of this type.
`RowType` | `getRowType(boolean contactTypeAgentGroup)` Returns the row type for this type of measure.
`TimeNormalizeType` | `getTimeNormalizeType()` Returns a constant indicating how time normalization should be perform on matrix of counters of this type.
`static MeasureType` | `valueOf(String name)` Returns the enum constant of this type with the specified name.
`static MeasureType[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

Methods inherited from class java.lang.Enum
`clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

Methods inherited from class java.lang.Object
`getClass, notify, notifyAll, wait, wait, wait`

Enum Constant Detail

### MAXBUSYAGENTS

    public static final MeasureType MAXBUSYAGENTS

### MAXQUEUESIZE

    public static final MeasureType MAXQUEUESIZE

### MAXWAITINGTIMEABANDONED

    public static final MeasureType MAXWAITINGTIMEABANDONED

### MAXWAITINGTIMESERVED

    public static final MeasureType MAXWAITINGTIMESERVED

### NUMABANDONED

    public static final MeasureType NUMABANDONED

### NUMABANDONEDAFTERAWT

    public static final MeasureType NUMABANDONEDAFTERAWT

### NUMABANDONEDBEFOREAWT

    public static final MeasureType NUMABANDONEDBEFOREAWT

### NUMARRIVALS

    public static final MeasureType NUMARRIVALS

### NUMBLOCKED

    public static final MeasureType NUMBLOCKED

### NUMBUSYAGENTS

    public static final MeasureType NUMBUSYAGENTS

### NUMDELAYED

    public static final MeasureType NUMDELAYED

### NUMSCHEDULEDAGENTS

    public static final MeasureType NUMSCHEDULEDAGENTS

### NUMSERVED

    public static final MeasureType NUMSERVED

### NUMSERVEDAFTERAWT

    public static final MeasureType NUMSERVEDAFTERAWT

### NUMSERVEDBEFOREAWT

    public static final MeasureType NUMSERVEDBEFOREAWT

### NUMTRIEDDIAL

    public static final MeasureType NUMTRIEDDIAL

### NUMWORKINGAGENTS

    public static final MeasureType NUMWORKINGAGENTS

### NUMWRONGPARTYCONNECTS

    public static final MeasureType NUMWRONGPARTYCONNECTS

### QUEUESIZE

    public static final MeasureType QUEUESIZE

### SUMEXCESSTIMESABANDONED

    public static final MeasureType SUMEXCESSTIMESABANDONED

### SUMEXCESSTIMESSERVED

    public static final MeasureType SUMEXCESSTIMESSERVED

### SUMSERVED

    public static final MeasureType SUMSERVED

### SUMSERVICETIMES

    public static final MeasureType SUMSERVICETIMES

### SUMWAITINGTIMESABANDONED

    public static final MeasureType SUMWAITINGTIMESABANDONED

### SUMWAITINGTIMESSERVED

    public static final MeasureType SUMWAITINGTIMESSERVED

### SUMWAITINGTIMESVQABANDONED

    public static final MeasureType SUMWAITINGTIMESVQABANDONED

### SUMWAITINGTIMESVQSERVED

    public static final MeasureType SUMWAITINGTIMESVQSERVED

Method Detail

### values

    public static MeasureType[] values()

  Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

      for (MeasureType c : MeasureType.values())
          System.out.println(c);

  Returns:
    an array containing the constants of this enum type, in the order they are declared

### valueOf

    public static MeasureType valueOf(String name)

  Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

  Parameters:
    `name` - the name of the enum constant to be returned.
  Returns:
    the enum constant with the specified name
  Throws:
    `IllegalArgumentException` - if this enum type has no constant with the specified name
    `NullPointerException` - if the argument is null

### getAggregationFunction

    public DoubleDoubleFunction getAggregationFunction()

  Returns the functions which is applied in order to aggregate two values of counters of this type. This usually returns `Functions.plus`, but this can also return `Functions.max` for example with `MAXWAITINGTIMEABANDONED`.

### getRowType

    public RowType getRowType(boolean contactTypeAgentGroup)

  Returns the row type for this type of measure. If `contactTypeAgentGroup` is `true`, this returns the row type when statistics are collected separately for (call type, agent group) pairs. Otherwise, this returns the row type when statistics are counted only for call types.

  Parameters:
    `contactTypeAgentGroup` -
  Returns:
    the row type for this measure type.

### getTimeNormalizeType

    public TimeNormalizeType getTimeNormalizeType()

  Returns a constant indicating how time normalization should be perform on matrix of counters of this type.

Overview | Package | Class | Tree | Deprecated | Index | Help
| ContactCenters V. 0.9.9.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

To submit a bug or ask questions, send an e-mail to Richard Simard.